Indhold
Indholdsfortegnelse 🔎︎

# GoSub...Return-udtryk

Kalder en subrutine, der er angivet med en etiket fra en subrutine eller en funktion. Sætningerne, der følger etiketten, udføres indtil næste Return-sætning. Bagefter fortsætter programmet med sætningen, som efterfølger GoSubsætningen.

## Syntaks:

    se Parametre

## Parametre:

Sub/Function

sætningsblok

Etiket

sætningsblok

GoSub Etiket

Exit Sub/Function

Etiket:

sætningsblok

Return

End Sub/Function

Sætningen GoSub kalder en lokal subrutine, der er vist med en etiket indenfor en subrutine eller en funktion. Navnet på etiketten skal ende med et kolon (":").

Hvis programmet møder en Return-sætning, der ikke er indledt med GoSub, returnerer LibreOffice Basic en fejlmeddelelse. Brug Exit Sub eller Exit Function for at sikre, at programmet forlader en Sub eller en Function, før det når næste Return-sætning.

Følgende eksempel demonstrerer brugen af GoSub og Return. Ved at udføre en programsektion to gange beregner programmet kvadratroden af to tal, som er indtastet af brugeren.

## Eksempel:

    Sub ExampleGoSub
    Dim iInputa As Single
    Dim iInputb As Single
    Dim iInputc As Single
        iInputa = Int(InputBox$("Indtast det første tal: ","Talindtastning"))
        iInputb = Int(InputBox$("Indtast det andet tal: ","Talindtastning"))
        iInputc=iInputa
        GoSub SquareRoot
        Print "Kvadratroden af";iInputa;" er";iInputc
        iInputc=iInputb
        GoSub SquareRoot
        Print "Kvadratroden af";iInputb;" er";iInputc
        Exit Sub
    SquareRoot:
        iInputc=sqr(iInputc)
        Return
    End Sub